SplFileInfo::getExtension
SplFileInfo::getFilename
SplFileInfo
PHP Manual

# SplFileInfo::getFileInfo

Gets an SplFileInfo object for the file

### Description

public SplFileInfo SplFileInfo::getFileInfo ([ string `$class_name` ] )

This method gets an SplFileInfo object for the referenced file.

### Parameters

`class_name`

  Name of an SplFileInfo derived class to use.

### Return Values

An SplFileInfo object created for the file.

### See Also

- SplFileInfo::setInfoClass